#ifndef POSES
#define POSES

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//------------- This is the array there we keep all the position the robot are using ---------------------------------------------//
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#include <avr/pgmspace.h>

PROGMEM prog_uint16_t Pos1[] = {8, 612,412,612,263,761,683,833,254}; // Pos 1  - Homing Position

PROGMEM prog_uint16_t Pos2[] = {8, 337,412,612,263,761,683,833,254}; // Pos 2  - Ready position

PROGMEM prog_uint16_t Pos3[] = {8, 337,566,450,362,662,735,827,363}; // Pos 3  - Pallet 1 ready

PROGMEM prog_uint16_t Pos4[] = {8, 337,599,420,451,572,670,831,254}; // Pos 4  - Pallet 1 on

PROGMEM prog_uint16_t Pos5[] = {8, 337,599,420,451,572,670,831,80}; // Pos 5  - Pallet 1 closed

PROGMEM prog_uint16_t Pos6[] = {8, 337,591,428,423,601,725,831,80}; // Pos 6  - Pallet 1 lifted

PROGMEM prog_uint16_t Pos7[] = {8, 330,523,499,308,716,740,831,80}; // Pos 7  - Pallet 1 lifted and out

PROGMEM prog_uint16_t Pos8[] = {8, 332,532,483,428,595,635,826,257}; // Pos 8  - Pallet 2 ready

PROGMEM prog_uint16_t Pos9[] = {8, 333,554,464,463,560,635,827,257}; // Pos 9  - Pallet 2 on

PROGMEM prog_uint16_t Pos10[] = {8, 333,554,464,463,560,635,827,80}; // Pos 10  - Pallet 2 closed

PROGMEM prog_uint16_t Pos11[] = {8, 333,561,453,474,548,659,827,80}; // Pos 11 - Pallet 2 lifted

PROGMEM prog_uint16_t Pos12[] = {8, 330,421,600,512,512,608,827,80}; // Pos 12 - Pallet 2 lifted and out

PROGMEM prog_uint16_t Pos13[] = {8, 414,311,706,395,628,336,631,80}; // Pos 13 - Pallet before dilivering

PROGMEM prog_uint16_t Pos14[] = {8, 760,513,507,538,485,512,816,80}; // Pos 14 - Pallet dilivering closed

PROGMEM prog_uint16_t Pos15[] = {8, 765,513,507,538,485,512,816,425}; // Pos 15 - Pallet dilivering open

PROGMEM prog_uint16_t Pos151[] = {8, 765,472,552,532,492,512,816,425}; // Pos 151 - Pallet dilivering open after

PROGMEM prog_uint16_t Pos16[] = {8, 337,468,552,460,564,727,799,255}; // Pos 16 - home pos

#endif

